Update a rule
curl --request PUT \
--url https://{subdomain}.mihu.ai/api/v1/ticket-rules/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"condition": "<string>",
"priority": "<string>",
"assign_type": "<string>",
"queue_uuid": "<string>",
"assignee_email": "<string>",
"min_confidence": 123,
"is_active": true,
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/ticket-rules/{uuid}"
payload = {
"name": "<string>",
"condition": "<string>",
"priority": "<string>",
"assign_type": "<string>",
"queue_uuid": "<string>",
"assignee_email": "<string>",
"min_confidence": 123,
"is_active": True,
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
condition: '<string>',
priority: '<string>',
assign_type: '<string>',
queue_uuid: '<string>',
assignee_email: '<string>',
min_confidence: 123,
is_active: true,
agent_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/ticket-rules/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Ticket Rules
Update a rule
PUT
/
api
/
v1
/
ticket-rules
/
{uuid}
Update a rule
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Body
application/json
Apply the change for ONE agent: an inherited workspace rule is copied into the agent's set and the copy is updated (the response is the copy)
Response
Rule updated